Support » Plugin: amr shortcode any widget » WP5.8 Use Classic Widgets Plugin with this plugin

  • Plugin Author anmari

    (@anmari)


    WordPress 5.8 seems to have done some odd things with widgets. If you google keywords like wordpress+5.8+widgets+bug or have a look at https://wordpress.org/plugins/classic-widgets/#reviews, one can see many have had a nasty impact.

    Using the classic widgets plugin seems to get one back to where one was before.

    The new wordpress 5.8 widgets page somehow messes with the widget instance widget id (the wordpress one), resulting in a different id in the widget instance than what is recorded in the sidebars and in the widget settings that are stored. If one uses the Classic Widgets plugin, all works as before. This means that the shortcode prompt at the bottom of the widget settings has an incorrect widget id (it gets it from the widget instance, which now doesn’t match the settings). There is no guaranteed way to work back to the id that will work in the front end, if there are multiple instances of the same widget.

    If you want to use the new widgets page please note:
    1) if you are using wordpress widgets like tag clouds, rss, latest posts etc then you do NOT need this ‘shortcode any widget’ plugin anymore. These new versions of wp widgets are now available from the pages screen under the widgets section. No shortcode needed to include them in a page.
    2) If you only have one instance of each widget in the ‘widgets for shortcodes’ sidebar, then you can use the widget name in the shortcode.
    3) If you don’t see your desired widget in the new widgets page, wordpress may have moved it under ‘Legacy Widgets’ – these appear to be widgets by third party plugins or that are not in the new set of widgets that appear in the pgae/post post editor.

    • This topic was modified 1 month, 2 weeks ago by anmari.
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author anmari

    (@anmari)

    I suspect that ideally wordpress would like all widgets to become block widgets and accessible from the page or post editor.

    Ultimately once all major plugins have converted their widgets, that would mean this plugin would no longer be needed. That would be fantastic!

    I noticed that… thank god someone came up with a way to get back to classic widget… 🙂

    I just happened to be changing theme at the time! so had to find the resolution to the problem.. 🙂 Typical!

    This is so helpful… I am hoping that at some point they put the widgets into the blocks section as well… that would make things really easy!

    Kriss 🙂

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.